Xerces-C++ 3.3.0

List of all members
XERCES_CPP_NAMESPACE::DOMAttr Class Referenceabstract

The `DOMAttr` class refers to an attribute of an XML element. More...

`#include <xercesc/dom/DOMAttr.hpp>`

Inheritance diagram for XERCES_CPP_NAMESPACE::DOMAttr:

## Public Member Functions
Destructor
virtual | ~DOMAttr ()
| Destructor.
Functions introduced in DOM Level 1
virtual const XMLCh * | getName () const =0
| Returns the name of this attribute.
virtual bool | getSpecified () const =0
| Returns true if the attribute received its value explicitly in the XML document, or if a value was assigned programatically with the setValue function.
virtual const XMLCh * | getValue () const =0
| Returns the value of the attribute.
virtual void | setValue (const XMLCh *value)=0
| Sets the value of the attribute.
Functions introduced in DOM Level 2.
virtual DOMElement * | getOwnerElement () const =0
| The `DOMElement` node this attribute is attached to or `null` if this attribute is not in use.
Functions introduced in DOM Level 3.
virtual bool | isId () const =0
| Returns whether this attribute is known to be of type ID or not.
virtual const DOMTypeInfo * | getSchemaTypeInfo () const =0
| Returns the type information associated with this attribute.
Public Member Functions inherited from DOMNode
virtual | ~DOMNode ()
| Destructor.
virtual const XMLCh * | getNodeName () const =0
| The name of this node, depending on its type; see the table above.
virtual const XMLCh * | getNodeValue () const =0
| Gets the value of this node, depending on its type.
virtual NodeType | getNodeType () const =0
| An enum value representing the type of the underlying object.
virtual DOMNode * | getParentNode () const =0
| Gets the parent of this node.
virtual DOMNodeList * | getChildNodes () const =0
| Gets a `DOMNodeList` that contains all children of this node.
virtual DOMNode * | getFirstChild () const =0
| Gets the first child of this node.
virtual DOMNode * | getLastChild () const =0
| Gets the last child of this node.
virtual DOMNode * | getPreviousSibling () const =0
| Gets the node immediately preceding this node.
virtual DOMNode * | getNextSibling () const =0
| Gets the node immediately following this node.
virtual DOMNamedNodeMap * | getAttributes () const =0
| Gets a `DOMNamedNodeMap` containing the attributes of this node (if it is an `DOMElement`) or `null` otherwise.
virtual DOMDocument * | getOwnerDocument () const =0
| Gets the `DOMDocument` object associated with this node.
virtual DOMNode * | cloneNode (bool deep) const =0
| Returns a duplicate of this node.
virtual DOMNode * | insertBefore (DOMNode *newChild, DOMNode *refChild)=0
| Inserts the node `newChild` before the existing child node `refChild`.
virtual DOMNode * | replaceChild (DOMNode *newChild, DOMNode *oldChild)=0
| Replaces the child node `oldChild` with `newChild` in the list of children, and returns the `oldChild` node.
virtual DOMNode * | removeChild (DOMNode *oldChild)=0
| Removes the child node indicated by `oldChild` from the list of children, and returns it.
virtual DOMNode * | appendChild (DOMNode *newChild)=0
| Adds the node `newChild` to the end of the list of children of this node.
virtual bool | hasChildNodes () const =0
| This is a convenience method to allow easy determination of whether a node has any children.
virtual void | setNodeValue (const XMLCh *nodeValue)=0
| Sets the value of the node.
virtual void | normalize ()=0
| Puts all `DOMText` nodes in the full depth of the sub-tree underneath this `DOMNode`, including attribute nodes, into a "normal" form where only markup (e.g., tags, comments, processing instructions, CDATA sections, and entity references) separates `DOMText` nodes, i.e., there are neither adjacent `DOMText` nodes nor empty `DOMText` nodes.
virtual bool | isSupported (const XMLCh *feature, const XMLCh *version) const =0
| Tests whether the DOM implementation implements a specific feature and that feature is supported by this node.
virtual const XMLCh * | getNamespaceURI () const =0
| Get the namespace URI of this node, or `null` if it is unspecified.
virtual const XMLCh * | getPrefix () const =0
| Get the namespace prefix of this node, or `null` if it is unspecified.
virtual const XMLCh * | getLocalName () const =0
| Returns the local part of the qualified name of this node.
virtual void | setPrefix (const XMLCh *prefix)=0
| Set the namespace prefix of this node.
virtual bool | hasAttributes () const =0
| Returns whether this node (if it is an element) has any attributes.
virtual bool | isSameNode (const DOMNode *other) const =0
| Returns whether this node is the same node as the given one.
virtual bool | isEqualNode (const DOMNode *arg) const =0
| Tests whether two nodes are equal.
virtual void * | setUserData (const XMLCh *key, void *data, DOMUserDataHandler *handler)=0
| Associate an object to a key on this node.
virtual void * | getUserData (const XMLCh *key) const =0
| Retrieves the object associated to a key on a this node.
virtual const XMLCh * | getBaseURI () const =0
| The absolute base URI of this node or `null` if undefined.
virtual short | compareDocumentPosition (const DOMNode *other) const =0
| Compares the reference node, i.e.
virtual const XMLCh * | getTextContent () const =0
| WARNING: This method is known to be buggy and does not produce accurate results under a variety of conditions.
virtual void | setTextContent (const XMLCh *textContent)=0
| This attribute removes any possible children this node may have and, if the new string is not empty or null, replaced by a single `DOMText` node containing the string this attribute is set to.
virtual const XMLCh * | lookupPrefix (const XMLCh *namespaceURI) const =0
| Look up the prefix associated to the given namespace URI, starting from this node.
virtual bool | isDefaultNamespace (const XMLCh *namespaceURI) const =0
| This method checks if the specified `namespaceURI` is the default namespace or not.
virtual const XMLCh * | lookupNamespaceURI (const XMLCh *prefix) const =0
| Look up the namespace URI associated to the given prefix, starting from this node.
virtual void * | getFeature (const XMLCh *feature, const XMLCh *version) const =0
| This method makes available a `DOMNode`'s specialized interface.
virtual void | release ()=0
| Called to indicate that this Node (and its associated children) is no longer in use and that the implementation may relinquish any resources associated with it and its associated children.

## Protected Member Functions
Hidden constructors
| DOMAttr ()
| DOMAttr (const DOMAttr &other)
Protected Member Functions inherited from DOMNode
| DOMNode ()
| DOMNode (const DOMNode &)

## Additional Inherited Members
Public Types inherited from DOMNode
enum | NodeType { ELEMENT_NODE = 1 , ATTRIBUTE_NODE = 2 , TEXT_NODE = 3 , CDATA_SECTION_NODE = 4 , ENTITY_REFERENCE_NODE = 5 , ENTITY_NODE = 6 , PROCESSING_INSTRUCTION_NODE = 7 , COMMENT_NODE = 8 , DOCUMENT_NODE = 9 , DOCUMENT_TYPE_NODE = 10 , DOCUMENT_FRAGMENT_NODE = 11 , NOTATION_NODE = 12 }
| NodeType. More...
enum | DocumentPosition { DOCUMENT_POSITION_DISCONNECTED = 0x01 , DOCUMENT_POSITION_PRECEDING = 0x02 , DOCUMENT_POSITION_FOLLOWING = 0x04 , DOCUMENT_POSITION_CONTAINS = 0x08 , DOCUMENT_POSITION_CONTAINED_BY = 0x10 , DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC = 0x20 }
| DocumentPosition: More...

## Detailed Description

The `DOMAttr` class refers to an attribute of an XML element.

Typically the allowable values for the attribute are defined in a documenttype definition.

`DOMAttr` objects inherit the `DOMNode` interface, but since attributes are not actually child nodes of the elements they are associated with, the DOM does not consider them part of the document tree. Thus, the `DOMNode` attributes `parentNode`, `previousSibling`, and `nextSibling` have a null value for `DOMAttr` objects. The DOM takes the view that attributes are properties of elements rather than having a separate identity from the elements they are associated with; this should make it more efficient to implement such features as default attributes associated with all elements of a given type. Furthermore, attribute nodes may not be immediate children of a `DOMDocumentFragment`. However, they can be associated with `DOMElement` nodes contained within a `DOMDocumentFragment`. In short, users of the DOM need to be aware that `DOMAttr` nodes have some things in common with other objects inheriting the `DOMNode` interface, but they also are quite distinct.

Since
  DOM Level 1

## Constructor & Destructor Documentation

## ◆ DOMAttr() [1/2]

XERCES_CPP_NAMESPACE::DOMAttr::DOMAttr | ( |  | ) |
| protected

## ◆ DOMAttr() [2/2]

XERCES_CPP_NAMESPACE::DOMAttr::DOMAttr | ( | const DOMAttr & | other | ) |
| protected

## ◆ ~DOMAttr()

virtual XERCES_CPP_NAMESPACE::DOMAttr::~DOMAttr | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

## ◆ getName()

virtual const XMLCh * XERCES_CPP_NAMESPACE::DOMAttr::getName | ( |  | ) | const
| pure virtual

Returns the name of this attribute.

Since
  DOM Level 1

## ◆ getOwnerElement()

virtual DOMElement * XERCES_CPP_NAMESPACE::DOMAttr::getOwnerElement | ( |  | ) | const
| pure virtual

The `DOMElement` node this attribute is attached to or `null` if this attribute is not in use.

Since
  DOM Level 2

## ◆ getSchemaTypeInfo()

virtual const DOMTypeInfo * XERCES_CPP_NAMESPACE::DOMAttr::getSchemaTypeInfo | ( |  | ) | const
| pure virtual

Returns the type information associated with this attribute.

Returns
  the `DOMTypeInfo` associated with this attribute

Since
  DOM level 3

## ◆ getSpecified()

virtual bool XERCES_CPP_NAMESPACE::DOMAttr::getSpecified | ( |  | ) | const
| pure virtual

Returns true if the attribute received its value explicitly in the XML document, or if a value was assigned programatically with the setValue function.

Returns false if the attribute value came from the default value declared in the document's DTD.

Since
  DOM Level 1

## ◆ getValue()

virtual const XMLCh * XERCES_CPP_NAMESPACE::DOMAttr::getValue | ( |  | ) | const
| pure virtual

Returns the value of the attribute.

The value of the attribute is returned as a string. Character and general entity references are replaced with their values.

Since
  DOM Level 1

## ◆ isId()

virtual bool XERCES_CPP_NAMESPACE::DOMAttr::isId | ( |  | ) | const
| pure virtual

Returns whether this attribute is known to be of type ID or not.

When it is and its value is unique, the ownerElement of this attribute can be retrieved using getElementById on DOMDocument.

Returns
  `bool` stating if this `DOMAttr` is an ID

Since
  DOM level 3

## ◆ setValue()

virtual void XERCES_CPP_NAMESPACE::DOMAttr::setValue | ( | const XMLCh * | value | ) |
| pure virtual

Sets the value of the attribute.

A text node with the unparsed contents of the string will be created.

Parameters

  value | The value of the DOM attribute to be set

Since
  DOM Level 1

The documentation for this class was generated from the following file:

- DOMAttr.hpp